Bug 26944 - Help link from automatic item modification by age should go to the relevant part of the manual
Summary: Help link from automatic item modification by age should go to the relevant p...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-05 20:22 UTC by Andrew Fuerste-Henry
Modified: 2020-12-10 14:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.07


Attachments
Bug 26944: Point help link to automatic item mod in manual (1.23 KB, patch)
2020-11-05 20:30 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26944: Point help link to automatic item mod in manual (1.30 KB, patch)
2020-11-10 10:59 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26944: Point help link to automatic item mod in manual (1.35 KB, patch)
2020-11-17 18:04 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-11-05 20:22:05 UTC
The Help link from automatic_item_modification_by_age.pl just goes to the manual home page. It should go to https://koha-community.org/manual//latest/en/html/tools.html#automatic-item-modifications-by-age (or the proper version).
Comment 1 Andrew Fuerste-Henry 2020-11-05 20:30:03 UTC
Created attachment 113194 [details] [review]
Bug 26944: Point help link to automatic item mod in manual

To test:
1 - go to automatic item mod, click help, end up at manual homepage
2 - apply patch, restart, reload page
3 - click link again, go to auto item mod in manual
Comment 2 ByWater Sandboxes 2020-11-10 10:59:09 UTC
Created attachment 113341 [details] [review]
Bug 26944: Point help link to automatic item mod in manual

To test:
1 - go to automatic item mod, click help, end up at manual homepage
2 - apply patch, restart, reload page
3 - click link again, go to auto item mod in manual

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Sally 2020-11-10 10:59:33 UTC
Works as expected, signed off.
Comment 4 Josef Moravec 2020-11-17 18:04:15 UTC
Created attachment 113754 [details] [review]
Bug 26944: Point help link to automatic item mod in manual

To test:
1 - go to automatic item mod, click help, end up at manual homepage
2 - apply patch, restart, reload page
3 - click link again, go to auto item mod in manual

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Jonathan Druart 2020-11-18 11:04:21 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Andrew Fuerste-Henry 2020-12-09 20:52:28 UTC
backported to 20.05.x for 20.05.07
Comment 7 Victor Grousset/tuxayo 2020-12-10 14:34:10 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.